Package commoble.morered.wires

# Class VoxelCache.VoxelLoader

java.lang.Object
com.google.common.cache.CacheLoader<net.minecraft.core.BlockPos,net.minecraft.world.phys.shapes.VoxelShape>
commoble.morered.wires.VoxelCache.VoxelLoader

Enclosing class:
  VoxelCache

public class VoxelCache.VoxelLoader extends com.google.common.cache.CacheLoader<net.minecraft.core.BlockPos,net.minecraft.world.phys.shapes.VoxelShape>

## Nested Class Summary

## Nested classes/interfaces inherited from class com.google.common.cache.CacheLoader

`com.google.common.cache.CacheLoader.InvalidCacheLoadException, com.google.common.cache.CacheLoader.UnsupportedLoadingOperationException`

## Constructor Summary

Constructors
Constructor
Description
`VoxelLoader()`

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.world.phys.shapes.VoxelShape`
`load(net.minecraft.core.BlockPos pos)`

### Methods inherited from class com.google.common.cache.CacheLoader

`asyncReloading, from, from, loadAll, reload`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VoxelLoader

public VoxelLoader()

## Method Details

### load

public net.minecraft.world.phys.shapes.VoxelShape load(net.minecraft.core.BlockPos pos) throws Exception

Specified by:
  `load` in class `com.google.common.cache.CacheLoader<net.minecraft.core.BlockPos,net.minecraft.world.phys.shapes.VoxelShape>`
Throws:
  `Exception`